/*    Web design by Oeding Software    */
    /*    www.oeding-software.de           */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    
    /* Color variables */
    --color-background: #02140d;
    --color-background-lighter : #0a2618;
    --color-background-alternate: #e3e3e3;
    --color-primary: #4b834b;
    --color-primary-dark: #356635;
    --color-primary-high-contrast: #6fa86f;
    --color-secondary: #367e7e;
    --color-secondary: #3c5f5f;
    --color-text: rgba(255, 255, 255, 0.9);
    --color-text-secondary: rgba(255, 255, 255, 0.8);
    --color-text-alternate: rgba(0, 0, 0, 0.9);
    --color-text-secondary-alternate: rgba(0, 0, 0, 0.7);
    --color-nav-background: rgba(8, 17, 11, 0.7);

    /* Other variables */
    --scroll-animation-offset: 20px;

    /* scroll-padding-top: 80px; */
}

body {
    background-color: var(--color-background);
    font-family: Montserrat, sans-serif;
    color: var(--color-text);
    overflow-x: hidden;
}

body.mobile-menu-open {
    overflow: hidden;
}

h1, h2, h3, h4, h5, h6 {
    font-weight: 600;
    color: var(--color-text);
    letter-spacing: -0.02em;
    line-height: 1.2;
}

h1 {
    font-size: clamp(32px, 6vw, 48px);
    margin-bottom: 16px;
}

h2 {
    font-size: clamp(24px, 4.5vw, 36px);
}

h3 {
    font-size: clamp(20px, 3.5vw, 28px);
}

h4 {
    font-size: clamp(18px, 3vw, 24px);
}

h5 {
    font-size: clamp(16px, 2.5vw, 20px);
}

h6 {
    font-size: clamp(14px, 2vw, 18px);
}

p {
    max-width: 600px;
    color: var(--color-text-secondary);
    font-size: clamp(16px, 2.5vw, 18px);
    line-height: 1.55;
    font-weight: 500;
}

.light-section h1, .light-section h2, .light-section h3, .light-section h4, .light-section h5, .light-section h6 {
    color: var(--color-text-alternate);
}

.light-section p {
    color: var(--color-text-secondary-alternate);
}

/* Scroll Animations */
.scroll-animation.right {
    opacity: 0;
    transform: translateX(var(--scroll-animation-offset));
    animation: none;
}

.scroll-animation.right.show {
    animation: slideInFromRight 0.6s ease forwards;
}

@keyframes slideInFromRight {
    0% {
        opacity: 0;
        transform: translateX(var(--scroll-animation-offset));
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}   

.scroll-animation.left {
    opacity: 0;
    transform: translateX(calc(var(--scroll-animation-offset) * -1));
    animation: none;

}

.scroll-animation.left.show {
    animation: slideInFromLeft 0.6s ease forwards;
}

@keyframes slideInFromLeft {
    0% {
        opacity: 0;
        transform: translateX(calc(var(--scroll-animation-offset) * -1));
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

.scroll-animation.fade-in {
    opacity: 0;
    transform: translateY(var(--scroll-animation-offset));
    animation: none;
}

.scroll-animation.fade-in.show {
    animation: fadeIn 0.6s ease forwards;
}

.scroll-animation.delay1.show {
    animation-delay: 0.1s;
}

.scroll-animation.delay2.show {
    animation-delay: 0.2s;
}

.scroll-animation.delay3.show {
    animation-delay: 0.3s;
}

.scroll-animation.delay4.show {
    animation-delay: 0.4s;
}

.scroll-animation.delay5.show {
    animation-delay: 0.5s;
}

.scroll-animation.delay6.show {
    animation-delay: 0.6s;
}


@keyframes fadeIn {
    0% {
        opacity: 0;
        transform: translateY(var(--scroll-animation-offset));
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

@media (prefers-reduced-motion) {
    .show {
        animation: none;
    }
}

.highlight-text {
    color: var(--color-primary);
    font-weight: 700;
    letter-spacing: -0.04em;
}

.navbar {
    display: flex;
    align-items: center;
    position: fixed;
    top: 0;
    z-index: 1020;
    left: 0;
    right: 0;
    height: 80px;
    transition: all 0.3s ease;
}

.navbar.detached {
    background: var(--color-nav-background);
    backdrop-filter: blur(8px);
    box-shadow: 0 0 10px 10px rgba(0, 0, 0, 0.3);
}

.nav-filler {
    flex-grow: 1;
}

body.mobile-menu-open .navbar.detached {
    box-shadow: none;
    background: none;
}

.logo {
    margin-left: 20px;
    font-size: 24px;
    font-weight: bold;
}

.logo-image {
    background: url(logo-no-bg.png) no-repeat center center/contain;
    width: 80px;
    aspect-ratio: 1 / 1;
}

.nav-links {
    list-style: none;
    display: flex;
    gap: 32px;
    justify-content: center;
    align-items: center;
}

.nav-links a {
    color: var(--color-text);
    text-decoration: none;
    font-size: 18px;
    font-weight: 550;
    letter-spacing: -0.02em;
    display: flex;
    flex-direction: column;
    align-items: center;
    transition: color 0.3s ease;
}

.nav-links a.active {
    font-weight: 700;
    color: white;
}
.nav-links a::after {
    content: '';
    display: block;
    margin-top: 4px;
    width: 0;
    height: 2px;
    border-radius: 1px;
    background: var(--color-text);
    transition: width 0.3s;
}

.nav-links a.active::after {
    width: 70%;
}


.nav-links a:hover::after {
    width: 80%;
}

.nav-links a:hover {
    color: white;
}

.nav-cta {
    background-color: var(--color-primary);
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 18px;
    margin-right: 20px;
    text-decoration: none;
    font-weight: 600;
    text-transform: uppercase;
    border: 2px solid transparent;
    transition: all 0.3s ease;
    letter-spacing: 0.03em;
}

body.mobile-menu-open .nav-cta {
    background: none;
    color: var(--color-text);
    border: 2px solid var(--color-text);
}

.nav-cta:hover {
    background: none;
    border: 2px solid var(--color-text);
}

body.mobile-menu-open .nav-cta:hover {
    background-color: var(--color-text);
    color: var(--color-text-alternate);
    border: 2px solid transparent;
}

.mobile-menu-toggle {
    display: none;
    flex-direction: column;
    justify-content: center;
    gap: 6px;
    width: 32px;
    height: 32px;
    cursor: pointer;
    margin-right: 20px;
    position: relative;
    z-index: 1010;
}

.mobile-menu-toggle.open #bar-top {
    transform: rotate(45deg);
    position: absolute;
}

.mobile-menu-toggle.open #bar-middle {
    opacity: 0;
}

.mobile-menu-toggle.open #bar-bottom {
    transform: rotate(-45deg);
    position: absolute;
}

.mobile-menu {
    background: var(--color-background);
    position:fixed;
    display: none;
    width: 100vw;
    top: 0;
    bottom: 0;
    left: 0;
    transform: translateX(100vw);
    z-index: 1000;
    transition: all 0.3s ease;
    padding: 32px;
    padding-top: 112px;
}

.mobile-menu.open {
    transform: translateX(0);
}

.mobile-nav-links {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.mobile-nav-links a {
    color: var(--color-text);
    text-decoration: none;
    font-size: 20px;
    font-weight: 600;
    letter-spacing: -0.02em;
}

.bar {
    height: 4px;
    width: 100%;
    background-color: var(--color-text);
    border-radius: 2px;
    transform-origin: 2px center;
    transition: all 0.3s ease;
    transform-origin: center center;
    z-index: 1011;
}

.hero-cta {
    color: var(--color-text);
    padding: 12px 24px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 20px;
    margin-top: 24px;
    text-decoration: none;
    font-weight: 600;
    text-transform: uppercase;
    border: 2px solid var(--color-text);
    transition: all 0.3s ease;
    display: inline-block;
    margin-top: 40px;
    letter-spacing: 0.03em;
    /* test below */
    background-color: var(--color-primary);
    border: 2px solid transparent;
}

.hero-cta:hover {
    background: var(--color-text);
    color: var(--color-background);
    /* test below */
    border: 2px solid var(--color-text);
    background: none;
    color: var(--color-text);
}

.hero-cta.large {
    padding: 20px 24px;
    border-radius: 6px;
}

.light-section .hero-cta:hover {
    background-color: var(--color-primary-dark);
    border: 2px solid transparent;
}

.hero-cta.card {
    margin-top: 16px;
    /* TODO choose whethter to keep the alternate button design below */
    /* border-top-left-radius: 16px;
    border-bottom-right-radius: 16px; */
}

.hero-cta.card:hover {
    background: transparent;
    border: 2px solid var(--color-text);
}

.hero-section {
    min-height: min(90vh, 80vw);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start; 
    padding: 128px clamp(32px, 5vw, 128px);
    position: relative;
}

.hero-section.homepage {

    background: linear-gradient(transparent 0%, transparent 80%, rgba(2, 20, 13, 0.5)), linear-gradient(rgba(0, 0, 0, 0.6), transparent), url(sample-background1.jpg) no-repeat center center/cover;
    background: linear-gradient(to right, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.4) 20%, transparent), linear-gradient(transparent 0%, transparent 80%, rgba(2, 20, 13, 0.5)), linear-gradient(rgba(0, 0, 0, 0.6), transparent), url(/src/krouzek2.jpeg) no-repeat center center/cover;
    background: linear-gradient(to right, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.4) 20%, transparent), linear-gradient(transparent 0%, transparent 80%, rgba(2, 20, 13, 0.5)), linear-gradient(rgba(0, 0, 0, 0.6), transparent), url(/src/lekce.jpeg) no-repeat center center/cover;
}

.hero-section.services {
    min-height: min(70vh, 70vw);
    background: linear-gradient(90deg, rgba(0, 0, 0, 0.5), transparent), linear-gradient(rgba(0, 0, 0, 0.4), transparent), url(/src/horses1b.jpeg) no-repeat center 20%/cover;
}

.hero-section.horses {
    min-height: min(70vh, 70vw);
    background: linear-gradient(90deg, rgba(0, 0, 0, 0.6), transparent), linear-gradient(rgba(0, 0, 0, 0.6), transparent), url(/src/horses3.jpeg) no-repeat center 20%/cover;
}

.hero-section.gallery {
    min-height: min(70vh, 70vw);
    background: linear-gradient(90deg, rgba(0, 0, 0, 0.8), transparent), linear-gradient(rgba(0, 0, 0, 0.5), transparent), url(/src/horses4.jpeg) no-repeat center 20%/cover;
}

.hero-section.achievements {
    min-height: min(70vh, 70vw);
    background: linear-gradient(90deg, rgba(0, 0, 0, 0.6), transparent), linear-gradient(rgba(0, 0, 0, 0.5), transparent), url(/src/horses6.jpeg) no-repeat center 20%/cover;
}

.hero-section p {
    max-width: min(33vw, 600px);
}

.about-section {
    padding: clamp(32px, 5vw, 128px);
    padding-bottom: calc(64px + clamp(32px, 5vw, 128px));
    background-color: var(--color-background);
    position: relative;   
    display: grid;
    place-items: center;
    grid-template-columns: 1fr 2fr;
    gap: 64px;
}

.about-section.light-section {
    background: var(--color-background-alternate);
}

.about-section.reverse {
    grid-template-columns: 2fr 1fr;
    padding-top: calc(64px + clamp(32px, 5vw, 128px));
    padding-bottom: clamp(32px, 5vw, 128px);
}

.about-section::before {
    content: '';
    position: absolute;
    top: -64px;
    height: 65px;
    left: 0px;
    right: 0px;
    background: var(--color-background);
    clip-path: polygon(0 calc(100% - 1px), 100% 0, 100% 100%, 0 calc(100% - 1px));

}

.about-section.light-section::before {
    background: var(--color-background-alternate);
}

.about-section.reverse::before {
    display: none;
}

.about-section.reverse::after {
    content: '';
    position: absolute;
    bottom: -64px;
    height: 65px;
    left: 0px;
    right: 0px;
    background: var(--color-background);
    clip-path: polygon(0% 1px, 0 0, 100% 0, 100% 1px, 0 100%, 0% 0);
    z-index: 10;
}

.about-picture-container {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.about-picture {
    width: 80%;
    max-width: 280px;
    aspect-ratio: 1 / 1;
    transition: all 0.3s ease;
}

.about-picture-wrapper.sticky {
    position: sticky;
    top: 192px;
    align-self: start;
    margin: 128px 0 32px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

.about-picture-heading {
    margin-bottom: 32px;
    text-align: center;
    font-size: clamp(22px, 3vw, 32px);
    color: var(--color-text);
    letter-spacing: -0.02em;
    width: 100%;
}

.about-picture.homepage-first {
    background: url(logo-no-bg.png) no-repeat center center/cover;
}

.about-picture.homepage-second {
    background: url(family2.png) no-repeat center center / 110% auto;
}

.about-picture.our-horses {
    background: url(horses8.jpeg) no-repeat center center/cover;
    aspect-ratio: 4 / 3;
    max-width: none;
    width: 100%;
    border-radius: 8px;
    border-top-left-radius: 128px;
    border-bottom-right-radius: 128px;
}

.about-picture.achievements-featured {
    background: url(horses8.jpeg) no-repeat center center/cover;
    aspect-ratio: 4 / 3;
    max-width: none;
    width: 100%;
    border-radius: 8px;
    border-top-left-radius: 128px;
    border-bottom-right-radius: 128px;
}

.about-picture.achievements-show {
    background: url(horses7.jpeg) no-repeat center center/cover;
}

.about-picture.round {
    border-radius: 50%;
    border: 4px solid rgba(255, 255, 255, 0.3);
}

.about-container {
    padding: 32px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.about-container h2 {
    margin-bottom: 20px;
    font-weight: 600;
}

.about-container h2::after {
    content: '';
    display: block;
    width: 100%;
    height: 4px;
    background: var(--color-primary);
    margin-top: 6px;
    border-radius: 2px;
}

.achievements-list {
    display: flex;
    flex-direction: column;
    gap: 16px;
    margin-top: 24px;
}

.achievement-item {
    display: flex;
    padding: 16px;
    border: 2px solid var(--color-primary);
    border-radius: 6px;
    background: var(--color-background-lighter);
    gap: 16px;
    align-items: center;
    justify-content: start;
}

.achievement-item svg {
    flex-shrink: 0;
}

.achievement-item span {
    color: var(--color-text);
    font-size: clamp(15px, 1.8vw, 18px);
    line-height: 1.5;
}

.info-section {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 32px;
    padding: clamp(32px, 5vw, 128px);
    padding-bottom: calc(64px + clamp(32px, 5vw, 128px));
    background-color: var(--color-background);
    position: relative;
}

.info-section.light-section {
    background: var(--color-background-alternate);
}

.info-section::before {
    content: '';
    position: absolute;
    top: -64px;
    height: 65px;
    left: 0px;
    right: 0px;
    background: var(--color-background);
    clip-path: polygon(0 calc(100% - 1px), 100% 0, 100% 100%, 0 calc(100% - 1px));
}

.info-section.light-section::before {
    background: var(--color-background-alternate);
}

.info-section h2 {
    /* color: var(--color-primary); */
    width: 100%;
}

.quote {
    font-style: italic;
    margin-top: 16px;
    color: var(--color-primary);
}

.info-column {
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 32px;
    border-radius: 8px;
    align-items: center;
    text-align: left;
}

.info-image {
    width: 100%;
    aspect-ratio: 16 / 11;
    border-radius: 8px;
    margin-bottom: 16px;
}

.info-image.appaloosa {
    background: url(horses7.jpeg) no-repeat center center/cover;
}

.info-image.fpd {
    background: url(horses8.jpeg) no-repeat center center/cover;
}

.info-image.history {
    background: url(horses9.jpeg) no-repeat center center/cover;
}

.horses-section {
    padding: clamp(32px, 5vw, 128px);
    padding-bottom: calc(64px + clamp(32px, 5vw, 128px));
    background-color: var(--color-background);
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    gap: 64px;
}

.horses-section::before {
    content: '';
    position: absolute;
    top: -64px;
    height: 65px;
    left: 0px;
    right: 0px;
    background: var(--color-background);
    clip-path: polygon(0 calc(100% - 1px), 100% 0, 100% 100%, 0 calc(100% - 1px));
}

.horses-section::after {
    content: '';
    position: absolute;
    bottom: -64px;
    height: 65px;
    left: 0px;
    right: 0px;
    background: var(--color-background);
    clip-path: polygon(0% 1px, 0 0, 100% 0, 100% 1px, 0 100%, 0% 0);
    z-index: 10;
}

.horses-section h2 {
    color: var(--color-text);
    text-align: center;
    font-size: clamp(28px, 4vw, 40px);
}

.horses-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(320px, 1fr));
    gap: 40px;
    width: 100%;
    margin-bottom: 64px;
}

.horse-card {
    border-radius: 8px;
    overflow: hidden;
    background: rgba(255, 255, 255, 0.02);
    box-shadow: 0 4px 24px rgba(0, 0, 0, 0.2), inset 0 0 0 1px rgba(255, 255, 255, 0.08);
    display: flex;
    flex-direction: column;
}

.horse-image {
    width: 100%;
    aspect-ratio: 4 / 3;
    position: relative;
}

.horse-image::after {
    content: '';
    position: absolute;
    inset: 0;
    background: linear-gradient(to bottom, transparent 50%, rgba(0, 0, 0, 0.4));
}

.horse-card-content {
    padding: 28px;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.horse-card-content h3 {
    margin: 0;
    color: var(--color-primary);
    font-size: clamp(20px, 2.5vw, 24px);
    letter-spacing: -0.5px;
}

.horse-card-stats {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.horse-card-stats p {
    margin: 0;
    font-size: clamp(14px, 1.5vw, 16px);
    line-height: 1.6;
    color: var(--color-text-secondary);
}

.horse-card-stats strong {
    color: var(--color-text);
    font-weight: 600;
}

.horse-image.horse1 {
    background: url(horses8.jpeg) no-repeat center center/cover;
}

.horse-image.horse2 {
    background: url(annierambasdancer.jpeg) no-repeat center center/cover;
}

.horse-image.horse3 {
    background: url(neskenonhollychex.jpeg) no-repeat center center/cover;
}

.horse-image.horse4 {
    background: url(bbonnierocksriver.jpeg) no-repeat center center/cover;
}

.horse-image.horse5 {
    background: url(randrjennygene.jpeg) no-repeat center center/cover;
}

.horse-image.horse6 {
    background: url(meghanimpackrocksriver.jpeg) no-repeat center center/cover;
}

.horse-image.horse7 {
    background: url(justicedamonrocksriver.jpeg) no-repeat center center/cover;
}

.horse-image.horse8 {
    background: url(vinimpackrocksriver.jpeg) no-repeat center center/cover;
}

.horse-image.horse9 {
    background: url(gglegacymisty.jpeg) no-repeat center center/cover;
}

.horse-image.horse10 {
    background: url(archienatrocksriver.jpeg) no-repeat center center/cover;
}

.horse-image.horse11 {
    background: url(rustyosrocksriver.jpeg) no-repeat center center/cover;
}

.horse-image.horse12 {
    background: url(oyeshota.jpeg) no-repeat center center/cover;
}

.horse-image.horse13 {
    background: url(bbjohnrocksriver.jpeg) no-repeat center center/cover;
}

.horse-image.horse14 {
    background: url(bbrayrocksriver.jpeg) no-repeat center center/cover;
}

.horse-image.horse15 {
    background: url(randrlegacysmoke.jpeg) no-repeat center center/cover;
}

.horse-image.horse16 {
    background: url(bigviewrocksriver.jpeg) no-repeat center center/cover;
}

.horse-image.horse17 {
    background: url(edennatrocksriver.jpeg) no-repeat center center/cover;
}

.horse-image.horse18 {
    background: url(florianaimpackrocksriver.jpeg) no-repeat center center/cover;
}

.horse-image.horse19 {
    background: url(rickyimpackrocksriver.jpeg) no-repeat center center/cover;
}

.horse-image.horse20 {
    background: url(jjimpackrocksriver.jpeg) no-repeat center center/cover;
}

.offer-section {
    padding: clamp(32px, 5vw, 128px);
    padding-top: 64px;
    background-color: var(--color-background-alternate);
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
}

.offer-section::before {
    content: '';
    position: absolute;
    top: -64px;
    height: 65px;
    left: 0px;
    right: 0px;
    background: var(--color-background-alternate);
    clip-path: polygon(0 calc(100% - 1px), 100% 0, 100% 100%, 0 calc(100% - 1px));
}

.offer-section::after {
    content: '';
    position: absolute;
    bottom: -64px;
    height: 65px;
    left: 0px;
    right: 0px;
    background: var(--color-background-alternate);
    z-index: 10;
    /* clip-path: polygon(0% -1%, 100% 0, 100% 100%, 0% -1%); */
    clip-path: polygon(0% 0, 0 0, 100% 0, 100% 0, 0 100%, 0% 0); /* TODO choose which version looks better */
}

.offer-section h2 {
    margin-bottom: 80px;
    color: var(--color-primary);
    font-weight: 600;
}

.offer-cards-container {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 32px;
    margin-bottom: 32px;
}

.offer-card {
    border-radius: 8px;
    /* border-top-left-radius: 128px; */
    /* border-bottom-right-radius: 128px; */
    box-shadow: 0 6px 24px rgba(0, 0, 0, 0.12);
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    min-height: 420px;
    overflow: hidden;
    text-decoration: none;
    transition: all 0.3s ease;
    position: relative;
}

.offer-card.unavailable::after {
    content: 'Dočasně nedostupné';
    position: absolute;
    top: 20px;
    right: 20px;
    text-align: center;
    color: var(--color-text-alternate);
    padding: 6px 12px;
    border-radius: 16px;
    background: var(--color-background-alternate);
    font-weight: 600;
    font-size: 13px;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.4);
    z-index: 10;
}

.offer-card:hover {
    transform: translateY(-4px);
    box-shadow: 10px 12px 32px rgba(0, 0, 0, 0.2);
}

.offer-card h3 {
    color: var(--color-text);
    font-weight: 600;
}

.offer-card h3::after {
    content: '';
    display: block;
    width: 33%;
    height: 4px;
    background: var(--color-primary);
    margin-top: 12px;
    border-radius: 2px;
    transition: width 0.3s ease;
}

.offer-card:hover h3::after {
    width: 100%;
}

.offer-card-content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.offer-card-text {
    color: var(--color-text-alternate);
    background-color: rgba(0, 0, 0, 0.7);
    backdrop-filter: blur(4px);
    padding: 24px;
    display: flex;
    flex-direction: column;
    gap: 16px;
    min-height: 200px;
}

.offer-card-text p {
    color: var(--color-text-secondary);
}

.image-stripe-section {
    background: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)), url(horses5.jpeg) no-repeat center 87%/cover;
    min-height: 40vh;
}

.dark-separator {
    position: relative;
    background-color: var(--color-background);
    height: 128px;
}

.dark-separator::before {
    content: '';
    position: absolute;
    top: -64px;
    height: 65px;
    left: 0px;
    right: 0px;
    background: var(--color-background);
    clip-path: polygon(0 calc(100% - 1px), 100% 0, 100% 100%, 0 calc(100% - 1px));
    z-index: 100;
}

.product-section {
    padding: clamp(32px, 5vw, 128px);
    padding-bottom: calc(64px + clamp(32px, 5vw, 128px));
    background-color: var(--color-background);
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 64px;
    position: relative;
    align-items: center;
}

.product-section.light-section {
    background: var(--color-background-alternate);
}

.product-section::before {
    content: '';
    position: absolute;
    top: -64px;
    height: 65px;
    left: 0px;
    right: 0px;
    background: var(--color-background);
    clip-path: polygon(0 calc(100% - 1px), 100% 0, 100% 100%, 0 calc(100% - 1px));
    z-index: 10;
}

.product-section.after-decoration::after {
    content: '';
    position: absolute;
    bottom: -64px;
    height: 65px;
    left: 0px;
    right: 0px;
    background: var(--color-background);
    clip-path: polygon(0% 1px, 0 0, 100% 0, 100% 1px, 0 100%, 0% 0);
    z-index: 10;
}

.product-section.light-section::before {
    background: var(--color-background-alternate);
}

.product-section.unavailable h2::before {
    content: 'Dočasně nedostupné';
    display: block;
    font-size: 14px;
    color: var(--color-text);
    font-weight: 500;
    margin-bottom: 12px;
    padding: 6px 12px;
    border-radius: 16px;
    background-color: var(--color-primary);
    width: fit-content;
    text-transform: uppercase;
}

.product-card {
    border-radius: 6px;
    /* border-top-left-radius: 128px;
    border-bottom-right-radius: 128px; */
    box-shadow: 0 6px 24px rgba(0, 0, 0, 0.12);
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    min-height: 420px;
    max-height: 80vh;
    overflow: hidden;
    text-decoration: none;
    transition: all 0.3s ease;
    position: relative;
    justify-content: flex-end;
}

.product-card.produkt3 {
    background: url(/src/lekce.jpeg) no-repeat center center/cover;
}

.product-card.produkt4 {
    background: url(/src/vyjizdky.jpeg) no-repeat center center/cover;
}

.product-card-content {
    color: var(--color-text-alternate);
    background-color: rgba(0, 0, 0, 0.7);
    backdrop-filter: blur(4px);
    padding: 32px;
    display: flex;
    flex-direction: column;
    gap: 16px;
    min-height: 200px;
    margin-top: min(300px, 30vh);
}

.product-card h2 {
    color: var(--color-text);
    font-weight: 600;
}

.product-card h2::after {
    content: '';
    display: block;
    width: 33%;
    height: 4px;
    background: var(--color-primary);
    margin-top: 12px;
    border-radius: 2px;
    transition: width 0.3s ease;
}

.product-card p {
    color: var(--color-text-secondary);
}

.product-image {
    width: 100%;
    border-radius: 8px;
    border-top-left-radius: 128px;
    border-bottom-right-radius: 128px;
    height: 100%;
    min-height: min(300px, 50vw);
    box-shadow: inset 0 0 20px rgba(0, 0, 0, 0.3);
}

.product-section:nth-child(even) .product-image {
    border-top-left-radius: 8px;
    border-bottom-right-radius: 8px;
    border-top-right-radius: 128px;
    border-bottom-left-radius: 128px;
}

.product-image.produkt1 {
    background: url(/src/krouzek2.jpeg) no-repeat center center/cover;
}

.product-image.produkt2 {
    background: url(/src/tabory2.jpeg) no-repeat center center/cover;
}

.product-image.produkt3 {
    background: url(horses4.jpeg) no-repeat center center/cover;
}

.product-image.produkt4 {
    background: url(horses1.jpeg) no-repeat center center/cover;
}

.product-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    /* align-items: flex-start; */
    /* gap: 20px; */
    padding: clamp(16px, 3vw, 48px);
}

.product-section .hero-cta {
    width: fit-content;
}

.product-content h2::after {
    content: '';
    display: block;
    width: 100%;
    height: 4px;
    background: var(--color-primary);
    margin-top: 6px;
    border-radius: 2px;
    margin-bottom: 32px;
}

.product-content p {
    max-width: 100%;
}

.info-card-container {
    display: flex;
    gap: 16px;
    flex-wrap: wrap;
    margin-top: 32px;
}

.info-card {
    display: flex;
    padding: 16px;
    border: 2px solid var(--color-primary);
    border-radius: 6px;
    background: var(--color-background-lighter);
    gap: 16px;
    align-items: center;
    justify-content: start;
}

.info-card.align-right {
    text-align: end;
}

.info-card svg {
    flex-shrink: 0;
}

.light-section .info-card {
    background: var(--color-background-alternate);
    color: var(--color-primary);
}

.light-section .info-card span {
    color: var(--color-text-alternate);
}

.info-card a {
    color: var(--color-primary);
}

.gallery-section {
    padding: calc(64px + clamp(32px, 5vw, 128px)) clamp(32px, 5vw, 128px);
    background-color: var(--color-background);
    position: relative;
}

.gallery-section::before {
    content: '';
    position: absolute;
    top: -64px;
    height: 65px;
    left: 0px;
    right: 0px;
    background: var(--color-background);
    clip-path: polygon(0 calc(100% - 1px), 100% 0, 100% 100%, 0 calc(100% - 1px));
    z-index: 10;
}

.gallery-section::after {
    content: '';
    position: absolute;
    bottom: -64px;
    height: 65px;
    left: 0px;
    right: 0px;
    background: var(--color-background);
    clip-path: polygon(0% 1px, 0 0, 100% 0, 100% 1px, 0 100%, 0% 0);
    z-index: 10;
}

.gallery-grid {
    columns: 300px;
    column-gap: 32px;
    gap: 24px;
    width: 100%;
}

.gallery-grid img {
    width: 100%;
    margin-bottom: 24px;
    display: block;
    border-radius: 6px;
}

.gallery-image {
    border-radius: 6px;
    background-repeat: no-repeat;
    background-size: cover;
}

.gallery-image:nth-child(1) {
    background-image: url(horses9.jpeg);
}

.contact-section {
    padding: clamp(32px, 5vw, 128px);
    padding-bottom: calc(64px + clamp(32px, 5vw, 128px));
    padding-top: 256px;
    background-color: var(--color-background);
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 128px;
}

.contact-section::after {
    content: '';
    position: absolute;
    bottom: -64px;
    height: 65px;
    left: 0px;
    right: 0px;
    background: var(--color-background);
    clip-path: polygon(0% 1px, 0 0, 100% 0, 100% 1px, 0 100%, 0% 0);
    z-index: 10;
}

.contact-container {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    max-width: 1200px;
    width: 100%;
}

.contact-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 16px;
    flex-grow: 1;

    a {
        color: var(--color-text-secondary);
        font-size: 16px;
        font-weight: 600;
        letter-spacing: -0.02em;
        text-align: center;
        text-decoration: none;
    }
    
    a:hover {
        text-decoration: underline;
    }
}

address {
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
}

.footer {
    background-color: var(--color-background);
    padding: 32px;
    padding-top: 64px;
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
    gap: 64px;
    position: relative;
}

.footer::before {
    content: '';
    position: absolute;
    top: -64px;
    height: 65px;
    left: 0px;
    right: 0px;
    background: var(--color-background);
    clip-path: polygon(0 calc(100% - 1px), 100% 0, 100% 100%, 0 calc(100% - 1px));
    z-index: 10;
}

.footer p {
    flex-grow: 1;
    max-width: none;
}

.footer-logo {
    width: 180px;
    aspect-ratio: 1 / 1;
    background: url(logo-no-bg.png) no-repeat center center/contain;
    min-width: 64px;
}

.footer-nav {
    display: flex;
    flex-direction: column;
    gap: 8px;
    list-style: none;
    align-items: flex-start;
    flex-shrink: 0;
    flex-grow: 1;
    position: absolute;
    left: 32px;
    bottom: 32px;
}

.footer-nav a {
    color: var(--color-text);
    text-decoration: none;
    font-size: 16px;
    font-weight: 600;
    letter-spacing: -0.02em;
    text-align: end;
}

.footer-nav a:hover {
    text-decoration: underline;
}

.brand-copyright-container {
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-items: center;
    flex-grow: 1;
    /* position: absolute;
    left: 50%;
    transform: translateX(-50%); */
    text-align: center;
}

.brand-copyright-container p {
    font-size: 14px;
}

.footer-contacts {
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-items: flex-end;
    flex-shrink: 0;
    position: absolute;
    right: 32px;
    bottom: 32px;
}

.footer-contact-container {
    display: flex;
    align-items: center;
    gap: 16px;
    font-weight: 600;
}

.footer-contact-container a {
    color: var(--color-text);
    text-decoration: none;
}

.footer-contact-container a:hover {
    text-decoration: underline;
}

.footer-contact-icon {
    background: var(--color-primary);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 60px;
    height: 60px;
}

.phone-category {
    display: inline-block;
    margin-right: 4px;
    color: var(--color-text-secondary);
    font-weight: 400;
    margin-top: 4px;
}

/* Media */

/* Offer section */
@media (max-width: 1500px) {
    .offer-cards-container {
        grid-template-columns: 1fr 1fr;
        gap: clamp(32px, 5vw, 128px);
    }
}

@media (max-width: 700px) {
    .offer-cards-container {
        grid-template-columns: 1fr;
    }

    .offer-section h2 {
        margin-bottom: 32px;
    }

    .contact-section {
        padding-top: 128px;
    }
}

@media (max-width: 740px) {
    .contact-container {
        flex-direction: column;
        align-items: center;
        gap: 64px;
    }
}

/* Navbar mobile menu*/
@media (max-width: 800px) {
    .nav-links {
        display: none;
    }

    .navbar.detached {
        box-shadow: none;
    }

    .mobile-menu-toggle {
        display: flex;
    }

    .mobile-menu {
        display: block;
    }
}

@media (max-width: 500px) {
    .nav-cta {
        display: none;
    }
}

/* Hero section */
@media (max-width: 1000px) {
    .hero-section p {
        max-width: 45%;
    }
}

@media (max-width: 600px) {
    .hero-section p {
        max-width: 80%;
    }

    .hero-section {
        min-height: auto;
    }
}

@media (max-width: 400px) {
    .hero-section p {
        max-width: 100%;
    }
}

/* About section */
@media (max-width: 600px) {
    .about-section, .about-section.reverse {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 0;
    }
}

/* Product section */
@media (max-width: 1000px) {
    .about-section.early-change {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 0;
    }

    .product-section {
        grid-template-columns: 1fr;
    }

    .product-section:nth-child(even) > *:nth-child(1) {
        order: 2;
    }

    .product-section:nth-child(even) > *:nth-child(2) {
        order: 1;
    }

    .product-card {
        min-height: 450px;
        border-top-left-radius: 64px;
        border-bottom-right-radius: 64px;
    }

    .product-card-content {
        padding: 24px;
        margin-top: 200px;
        min-height: 180px;
    }

    .info-card-container {
        gap: 12px;
        margin-top: 24px;
    }

    .info-card {
        padding: 12px;
        gap: 12px;
        font-size: 14px;
    }

    .product-section:nth-child(even) .product-image {
    border-top-right-radius: 64px;
    border-bottom-left-radius: 64px;
    }   

    .product-section:nth-child(odd) .product-image {
        border-top-left-radius: 64px;
        border-bottom-right-radius: 64px;
    }

    .product-content {
        padding: 0;
    }
}

@media (max-width: 1280px) {
    .info-section {
        grid-template-columns: 1fr;
        gap: 64px;
    }

    .info-column p {
        align-self: start;
    }
}

/* Footer */
@media (max-width: 1024px) {

    .footer {
        padding-top: 320px;
    }

    .footer-contacts {
        position: absolute;
        bottom: 320px;
        flex-wrap: wrap;
        align-items: flex-start;
        left: 50%;
        transform: translateX(-50%);
        width: fit-content;
    }

    .footer-contact-container {
        flex-flow: row-reverse;
    }
}

@media (max-width: 540px) {
    .footer {
        flex-direction: column;
        align-items: center;
        text-align: center;
        gap: 32px;
        padding-top: 32px;
    }

    .footer-nav {
        position: static;
        align-items: center;
    }

    .footer-contacts {
        position: static;
        transform: none;
    }
}

/* Contact section icon green circle */
.contact-icon {
    width: 64px;
    height: 64px;
    border-radius: 50%;
    background: var(--color-primary);
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto 1rem auto;
}

.contact-icon svg {
    display: block;
}